#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
%bcond_with	dbtests	# perform tests using local PostgreSQL installation
#
%define		pdir	DBD
%define		pnam	Pg
Summary:	A PostgresSQL interface for Perl
Summary(cs.UTF-8):	PostgresSQL rozhraní pro Perl
Summary(da.UTF-8):	Et PostgreSQL-grænseflade for Perl
Summary(de.UTF-8):	Ein PostgreSQL-Interface für Perl
Summary(es.UTF-8):	Interfaz PostgresSQL para Perl
Summary(fr.UTF-8):	Interface PostgresSQL pour Perl
Summary(it.UTF-8):	Interfaccia PostgreSQL per Perl
Summary(ja.UTF-8):	Perl の PostgreSQL インターフェイス
Summary(ko.UTF-8):	펄을 위한 PostgresSQL 인터페이스
Summary(nb.UTF-8):	Et PostgreSQL-grensesnitt for Perl
Summary(pl.UTF-8):	Perlowy interfejs do PostgresSQL-a
Summary(pt.UTF-8):	Uma interface de Perl para o PostgresSQL
Summary(pt_BR.UTF-8):	Uma interface de Perl para o PostgresSQL
Summary(ru.UTF-8):	Интерфейс PostgresSQL для Perl
Summary(sv.UTF-8):	Ett gränssnitt till PostgresSQL för Perl
Summary(uk.UTF-8):	Perl-інтерфейс до PostgresSQL
Summary(zh_CN.UTF-8):	Perl 的 PostgresSQL 界面。
Name:		perl-DBD-Pg
Version:	3.10.0
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1cd697899aec65117464d12e9c874ce8
URL:		http://search.cpan.org/dist/DBD-Pg/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.11
BuildRequires:	perl-DBI >= 1.614
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.88}
BuildRequires:	perl-devel >= 1:5.8.1
%{?with_tests:BuildRequires:	perl-version}
BuildRequires:	postgresql-devel
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-DBI >= 1.614
Provides:	perl(DBD::Pg) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'perl(POSIX(qw(isprint)))'

%description
DBD::Pg - PostgreSQL database driver for the DBI module.

%description -l cs.UTF-8
Implementace DBI pro PostgreSQL do Perlu.

%description -l da.UTF-8
Denne pakke indeholder en implementation af DBI for PostgreSQL for
Perl.

%description -l de.UTF-8
Dieses Paket enthält eine Implementierung von PostgreSQL für Perl.

%description -l es.UTF-8
Este paquete contiene una implementación de DBI para PotgreSQL para
PERL.

%description -l fr.UTF-8
Ce paquetage contient une mise en oeuvre de DBI pour PostgreSQL pour
Perl.

%description -l it.UTF-8
Questo pacchetto contiene un'implementazione di DBI per PostgreSQL per
Perl.

%description -l ja.UTF-8
このパッケージには Perl の PostgreSQL 用 DBI 実装が収録されています。

%description -l ko.UTF-8
이 패키지는 펄을 위한 PostgreSQL의 DBI 실현을 포함하고 있습니다.

%description -l nb.UTF-8
Denne pakken inneholder en implementasjon av DBI for PostgreSQL for
Perl.

%description -l pl.UTF-8
DBD::Pg - Sterownik bazy danych PostgreSQL dla modułu DBI.

%description -l pt.UTF-8
Este pacote contém uma implementação de DBI para o PostgreSQL para o
Perl.

%description -l pt_BR.UTF-8
Este pacote contém uma implementação de DBI para o PostgreSQL para o
Perl.

%description -l ru.UTF-8
Это пакет содержит реализацию DBI для PostgreSQL для Perl.

%description -l sv.UTF-8
Detta paket innehåller en implementation av DBI för PostgreSQL för
Perl.

%description -l zh_CN.UTF-8
该软件包包括用于 Perl 的 PostgreSQL 的 DBI 实现。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
POSTGRES_LIB="%{_libdir}"; export POSTGRES_LIB
POSTGRES_INCLUDE="%{_includedir}/postgresql"; export POSTGRES_INCLUDE
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# skip SIGNATURE test (uses network to get PGP key)
rm SIGNATURE
%{?with_tests:%{__make} test %{!?with_dbtests:DBI_DSN=NOWAY}}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# remove "tool" to install Perl modules
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Bundle/DBD/Pg.pm \
	$RPM_BUILD_ROOT%{_mandir}/man3/Bundle::DBD::Pg.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/Pg.pm
%dir %{perl_vendorarch}/auto/DBD/Pg
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/Pg/Pg.so
%{_mandir}/man3/DBD::Pg.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-DBD-Pg.git;a=log;h=178944758d7e7982ad34fde802a34156c94ab7b6

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1789447
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 683c20e
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ddf8e8
- up to 3.10.0

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> b324915
- updated to 3.7.4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 971d94e
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ebcdfd9
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bb8d4c2
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 754d88b
- release 2 (by relup.sh)

* Wed Sep 09 2015 Marcin Krol <hawk@tld-linux.org> 7e086fd
- updated to 3.5.1

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 07a1989
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 0dc015a
- updated to 3.4.2

* Wed Sep 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> ade3f42
- kill "bundle to install Perl modules"
- updated BR, more verbose files; rel. 2

* Mon Sep 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 3db71e9
- updated to 3.4.1

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2f20074
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9402a60
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a1a48f6
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 3fe606e
- up to 2.19.3

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e13ba22
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 180de0c
- up to 2.18.1

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> e776314
- rel 3

